--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "@author Guy van den Berg @since 0.9"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: FORMATS
  value: "{}"
full_name: DataMapper::Validate::FormatValidator
includes: 
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::Format::Email
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::Format::Url
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: call
name: FormatValidator
superclass: GenericValidator
